#
# Conditional build:
%bcond_with	nfslock		# nfslock library (requires __libc_open symbol)

Summary:	NFS-safe locking library, includes dotlockfile program
Summary(pl.UTF-8):	Biblioteka blokowania plików uwzględniająca NFS wraz z programem dotlockfile
Name:		liblockfile
Version:	1.17
Release:	1%{?tld}
License:	LGPL v2+ (library), GPL v2+ (dotlockfile)
Group:		Libraries
Source0:	http://ftp.debian.org/debian/pool/main/libl/liblockfile/%{name}_%{version}.orig.tar.gz
# Source0-md5:	918c4c07f7b99fc327db8bf39d3a1804
BuildRequires:	autoconf >= 2.50
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liblockfile is a shared library with NFS-safe locking functions. It
includes the command-line utility ``dotlockfile''.

%description -l pl.UTF-8
liblockfile to biblioteka współdzielona z funkcjami blokowania plików
bezpiecznymi także w przypadku używania NFS-a. Zawiera działający z
linii poleceń program dotlockfile.

%package devel
Summary:	Header files for liblockfile library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblockfle
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is a development package for liblockfile. It includes headers and
documentation.

%description devel -l pl.UTF-8
To jest pakiet programistyczny dla liblockfile, zawiera pliki
nagłówkowe i dokumentację.

%package static
Summary:	Static liblockfile library
Summary(pl.UTF-8):	Statyczna biblioteka liblockfile
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblockfile library.

%description static -l pl.UTF-8
Statyczna biblioteka liblockfile.

%prep
%setup -q

%{__sed} -i -e 's#-g root##g' Makefile.in

%build
%{__autoconf}
%configure \
	--enable-shared \
	--with-mailgroup \
	%{?with_nfslock:--with-nfslock}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MAILGROUP=%(id -gn) \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	nfslockdir=$RPM_BUILD_ROOT%{_libdir}
	

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT Changelog README
%attr(755,root,root) %{_bindir}/dotlockfile
%attr(755,root,root) %{_libdir}/liblockfile.so.*.*
%attr(755,root,root) %ghost %{_libdir}/liblockfile.so.1
%if %{with nfslock}
%attr(755,root,root) %{_libdir}/nfslock.so.0.1
%endif
%{_mandir}/man1/dotlockfile.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblockfile.so
%{_includedir}/lockfile.h
%{_includedir}/maillock.h
%{_mandir}/man3/lockfile_create.3*
%{_mandir}/man3/maillock.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/liblockfile.a
%changelog
* Wed Apr 24 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/liblockfile.git;a=log;h=master

* Mon Feb 01 2021 Jan Palus <atler@pld-linux.org> 7328035
- up to 1.17

* Tue May 12 2020 Jakub Bogusz <qboosh@pld-linux.org> e2e4f8e
- updated to 1.16

* Wed Jul 25 2018 Jakub Bogusz <qboosh@pld-linux.org> b299a5f
- package static library
- added nfslock bcond

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> b90dae7
- up to 1.14

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 9a81921
- x32 rebuild
- release 2 (by relup.sh)

* Sun Aug 14 2011 Jakub Bogusz <qboosh@pld-linux.org> a56d00a
- updated to 1.09

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 776520e
- updated to 1.08

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 3aec188
- updated to 1.07

* Wed Jun 13 2007 Jakub Bogusz <qboosh@pld-linux.org> c10cc27
- updated to 1.06.2

* Thu May 31 2007 areq <areq@pld-linux.org> deb7a7a
- s/eaccess/eaccess2/ (/usr/include/unistd.h:268: has declaration of 'eaccess')

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 95773a1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c46a588
- converted to UTF-8

* Thu Jul 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 6b469a3
- pl, moved dotlockfile(1) manual to proper package

* Tue Jul 18 2006 Elan Ruusamäe <glen@pld-linux.org> e7b1102
- fix group

* Tue Jul 18 2006 Elan Ruusamäe <glen@pld-linux.org> a78228b
- new, from debian

